#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


#kill all services on localhost
#!! be warned: this is a brutal script: nothing will survive after it is done...
#
#we dont need to unbind since we kill the registry as well...

${ECHO} "killing services on localhost"

${ADMIN_DIR}/abort/abort_svc.sh --svc_name=appsvr_${SHORT_HOSTNAME} --unbind=no

# if we have to kill rmi, flag it and kill it after killing all other services ( since
# these try to connect to rmi, and will fail if it is killed before)

foundrmiflag=0

for pid in `ls ${SVC_LOG_DIR}/*/svc.pid 2>/dev/null`; do
    SVC_DIR=`dirname $pid`
    SVC_NAME=`basename $SVC_DIR`

    if [ "$SVC_NAME" != "rmi_${SHORT_HOSTNAME}"  ]; then
        ${ADMIN_DIR}/abort/abort_svc.sh --svc_name=${SVC_NAME} --unbind=no
    else
        foundrmiflag=1
    fi
done

if [ "$foundrmiflag" -eq 1 ]; then
    ${ADMIN_DIR}/abort/abort_svc.sh --svc_name=rmi_${SHORT_HOSTNAME} --unbind=no
fi

case ${TRIGO_APPSVR} in
    websphere|websphere5|websphereAE)
        $TOP/bin/go/abort/abort_appsvr.sh
    ;;
esac
