#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


# get params
. ${TOP}/bin/get_params.sh

cd $TOP

# stop everything first
${ADMIN_DIR}/abort_local.sh

sleep 2

if [ "${_TRIGO_RM_LOGS}" = "yes" ]; then
    LOGS_DIR=${TOP}/logs
    ${ECHO} "removing logs directory: ${LOGS_DIR}"
    ${RM} -rf ${LOGS_DIR}
fi

# we use stop=no here because we already stopped everything
${ADMIN_DIR}/start/start_rmiregistry.sh --stop=no

sleep 2

${ADMIN_DIR}/start/start_admin.sh --stop=no
${ADMIN_DIR}/start/start_appsvr.sh --stop=no
${ADMIN_DIR}/start/start_eventprocessor.sh --stop=no
${ADMIN_DIR}/start/start_queuemanager.sh --stop=no
${ADMIN_DIR}/start/start_scheduler.sh --stop=no
${ADMIN_DIR}/start/start_workflowengine.sh --stop=no

${ECHO} ""
${ECHO} "Verify that the application is up and running by executing the following script:"
${ECHO} "   $TOP/bin/go/rmi_status.sh"
${ECHO} ""
${ECHO} "Verify that the following services have started:"
${ECHO} "   admin_${SHORT_HOSTNAME}"
${ECHO} "   appsvr_${SHORT_HOSTNAME}"
${ECHO} "   eventprocessor_${SHORT_HOSTNAME}"
${ECHO} "   queuemanager_${SHORT_HOSTNAME}"
${ECHO} "   scheduler_${SHORT_HOSTNAME}"
${ECHO} "   workflowengine_${SHORT_HOSTNAME}"
${ECHO} ""
${ECHO} "Log files for the running services can be located at:"
${ECHO} "   $TOP/logs/svc/"
${ECHO} ""
