# source this file to init trigo shell variables

if [ -z "$TOP" ]; then
    ${ECHO} "Error!: TOP environment variable is not set."
fi


#--------------------------------------------------------------------------------
# basic shell variables
#--------------------------------------------------------------------------------

export CP=cp
export RM="rm -rf"
export ECHO=echo
export TOUCH=touch
export MKDIR="mkdir -p"
export TR=tr
export GREP=grep
export AWK=awk
export SED=sed
export CAT=cat
export BC=bc


#--------------------------------------------------------------------------------
# java
#--------------------------------------------------------------------------------

# home of your java jdk
export JDK_HOME=/usr/local/jdk1.3


#--------------------------------------------------------------------------------
# db server
#--------------------------------------------------------------------------------

export TRIGO_DB=oracle


#--------------------------------------------------------------------------------
# app server
#--------------------------------------------------------------------------------

export TRIGO_APPSVR=weblogic700


# home of weblogic
export WL_HOME=/usr/local/bea/weblogic700

# home of weblogic trigo domain
# (the best way is to actually use an already
# defined variables, such as $TOP or $WL_HOME)
export TRIGO_WL_DOMAIN_DIR=$TRIGO_ETC_DIR/default/weblogic700/config/trigo_domain

# domain defined in the config.xml file
# (Name attribute of the Domain node)
# (ex: <Domain Name="trigo_domain">)
export TRIGO_WL_DOMAIN=trigo_domain

# server defined in the config.xml file
# (Name attribute of the Server node)
# (ex: <Server Name="trigo_server"...)
export TRIGO_WL_SERVER=trigo_server

# password to start the weblogic server
export TRIGO_WL_PW=
# user to start the weblogic server
export TRIGO_WL_USER=


#--------------------------------------------------------------------------------
# modules memory flags
#--------------------------------------------------------------------------------

# to add more memory to a module, change the memory flag
# variable for this module
# the default values are given for the Sun jdk
# if using the IBM jdk, remove the X character e.g. '-mx64m -ms48m'

export ADMIN_MEMORY_FLAG='-Xmx64m -Xms64m'
export APPSVR_MEMORY_FLAG='-Xmx1024m -Xms256m'
export APPSVR_MEMORY_FLAG='-Xmx1024m -Xms256m -XX:MaxPermSize=128m'
export EVENTPROCESSOR_MEMORY_FLAG='-Xmx64m -Xms48m'
export QUEUEMANAGER_MEMORY_FLAG='-Xmx64m -Xms64m'
export SCHEDULER_MEMORY_FLAG='-Xmx1024m -Xms256m'
export WORKFLOWENGINE_MEMORY_FLAG='-Xmx256m -Xms64m'


#--------------------------------------------------------------------------------
# jars
#--------------------------------------------------------------------------------

# directory where jars are kept
export JARDIR=$TOP/jars


#--------------------------------------------------------------------------------
# trigo.rc
#--------------------------------------------------------------------------------

TRIGO_RC=$TOP/setup/trigo.rc
if [ -f "$TRIGO_RC" ]; then
    . $TRIGO_RC
else
    ${ECHO} "Error!: file '$TOP/setup/trigo.rc' not found"
fi
