#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


echo "File difference for TOP=${TOP}"
echo "  - an empty output means that all the files are present"
echo "  - lines starting with '<' refer to files added after the installation"
echo "  - lines starting with '>' refer to files missing from the installation"
echo

#building filelists
cd ${TOP}
LIST1=${TOP}/logs/install_filelist1.txt
LIST2=${TOP}/logs/install_filelist2.txt
find .|grep -v '\./logs/install_filelist.\.txt'|sort > ${LIST1}
sort ${TOP}/setup/filelist.txt > ${LIST2}

RES=`diff ${LIST1} ${LIST2}`

if [ "${RES}" = "" ]; then
    echo "status: perfect, all the trigo files are present."
else
    echo "status: extra files have been added/removed"
    echo "        from the default installation file list."

    diff ${LIST1} ${LIST2}
fi

#cleaning up
rm -rf ${LIST1}
rm -rf ${LIST2}
