#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


${ECHO} ====================================================
${ECHO} defining category trees for $1
${ECHO} ====================================================

$JAVA_RT_NOOUT austin.setup.CategoryTreeCreator -company_code=$1 \
                                                -category_tree_name="master ctg tree" \
                                                -spec_name="Master Category Tree Spec" \
                                                -display_attribute="Master Category Tree Spec/Display Name" \
                                                -path_attribute="Master Category Tree Spec/Path"

$JAVA_RT_NOOUT austin.setup.CategoryTreeCreator -company_code=$1 \
                                                -category_tree_name="content tree 2" \
                                                -spec_name="Master Category Tree Spec" \
                                                -display_attribute="Master Category Tree Spec/Display Name" \
                                                -path_attribute="Master Category Tree Spec/Path"

$JAVA_RT_NOOUT austin.setup.CategoryTreeCreator -company_code=$1 \
                                                -category_tree_name="customer ctg tree" \
                                                -spec_name="Master Category Tree Spec" \
                                                -display_attribute="Master Category Tree Spec/Display Name" \
                                                -path_attribute="Master Category Tree Spec/Path"

$JAVA_RT_NOOUT austin.setup.CategoryTreeCreator -company_code=$1 \
                                                -category_tree_name="sample ctg tree" \
                                                -spec_name="Master Category Tree Spec" \
                                                -display_attribute="Master Category Tree Spec/Display Name" \
                                                -path_attribute="Master Category Tree Spec/Path"

$JAVA_RT_NOOUT austin.setup.CategoryTreeCreator -company_code=$1 \
                                                -category_tree_name="UNSPSC" \
                                                -spec_name="Master Category Tree Spec" \
                                                -display_attribute="Master Category Tree Spec/Display Name" \
                                                -path_attribute="Master Category Tree Spec/Path"

$JAVA_RT_NOOUT austin.setup.CategoryTreeCreator -company_code=$1 \
                                                -category_tree_name="PO_XSD tree" \
                                                -spec_name="Master Category Tree Spec" \
                                                -display_attribute="Master Category Tree Spec/Display Name" \
                                                -path_attribute="Master Category Tree Spec/Path"

${ECHO} ====================================================
${ECHO} defining catalogs for $1
${ECHO} ====================================================

$JAVA_RT_NOOUT austin.setup.DataSourceCreator $1 browser PUSH_WWW

$JAVA_RT_NOOUT austin.setup.CatalogCreator -company_code=$1 \
                                           -catalog_name="master ctg" \
                                           -ctr_name="master ctg tree" \
                                           -spec_name="Master Catalog Spec" \
                                           -extra_name_ctr="content tree 2"
$JAVA_RT_NOOUT austin.setup.CatalogCreator -company_code=$1 \
                                           -catalog_name="customer ctg" \
                                           -ctr_name="customer ctg tree" \
                                           -spec_name="Customer Catalog Spec"

$JAVA_RT_NOOUT austin.setup.CatalogCreator -company_code=$1 \
                                           -catalog_name="sample ctg" \
                                           -ctr_name="sample ctg tree" \
                                           -spec_name="Catalog Spec" \
                                           -extra_code_ctr="UNSPSC"

$JAVA_RT_NOOUT austin.setup.CatalogCreator -company_code=$1 \
                                           -catalog_name="PO_XSD Catalog" \
                                           -ctr_name="PO_XSD tree" \
                                           -spec_name="PO_XSD_PRIMARY_SPEC"

${ECHO} ====================================================
${ECHO} defining feeds for $1
${ECHO} ====================================================

$JAVA_RT_NOOUT austin.setup.FeedCreator -company_code=$1 \
                                        -username=jwilson \
                                        -feed_name="master feed" \
                                        -feed_type=ITM \
                                        -data_src_name=browser \
                                        -file_spec_name="832 File" \
                                        -catalog_name="master ctg" \
                                        -spec_map_name="832 File-to-Master Catalog Spec" \
                                        -script_name="/scripts/import/ctg/832 File Import Script"
$JAVA_RT_NOOUT austin.setup.FeedCreator -company_code=$1 \
                                        -username=bwilson \
                                        -feed_name="customer feed" \
                                        -feed_type=ITM \
                                        -data_src_name=browser \
                                        -file_spec_name="832 File" \
                                        -catalog_name="customer ctg" \
                                        -spec_map_name="832 File-to-Customer Catalog Spec" \
                                        -script_name="/scripts/import/ctg/832 File Import Script"
$JAVA_RT_NOOUT austin.setup.FeedCreator -company_code=$1 \
                                        -username=jwilson \
                                        -feed_name="content feed" \
                                        -feed_type=ITM \
                                        -data_src_name=browser \
                                        -file_spec_name="Acme ContentLoad" \
                                        -catalog_name="master ctg" \
                                        -spec_map_name="Acme ContentLoad-to-Master Catalog Spec" \
                                        -script_name=""
$JAVA_RT_NOOUT austin.setup.FeedCreator -company_code=$1 \
                                        -username=bwilson \
                                        -feed_name="category feed" \
                                        -feed_type=ICM \
                                        -data_src_name=browser \
                                        -file_spec_name="Acme CategoriesLoad" \
                                        -catalog_name="master ctg" \
                                        -spec_map_name="Acme CategoriesLoad-to-Master Catalog Spec" \
                                        -category_tree_name="master ctg tree" \
                                        -script_name=""
$JAVA_RT_NOOUT austin.setup.FeedCreator -company_code=$1 \
                                        -username=vjackson \
                                        -feed_name="category feed 2" \
                                        -feed_type=ICM \
                                        -data_src_name=browser \
                                        -file_spec_name="Acme CategoriesLoad" \
                                        -catalog_name="master ctg" \
                                        -spec_map_name="Acme CategoriesLoad-to-Master Catalog Spec" \
                                        -category_tree_name="content tree 2" \
                                        -script_name="" \
                                        -approver_name=jwilson

$JAVA_RT_NOOUT austin.setup.FeedCreator -company_code=$1 \
                                        -username=jwilson \
                                        -feed_name="sample ctg content feed" \
                                        -feed_type=ITM \
                                        -data_src_name=browser \
                                        -file_spec_name="Content File Spec" \
                                        -catalog_name="sample ctg" \
                                        -spec_map_name="Content File Spec-to-Catalog Spec" \
                                        -script_name=""
$JAVA_RT_NOOUT austin.setup.FeedCreator -company_code=$1 \
                                        -username=bwilson \
                                        -feed_name="sample ctg prices feed" \
                                        -feed_type=ITM \
                                        -data_src_name=browser \
                                        -file_spec_name="Prices File Spec" \
                                        -catalog_name="sample ctg" \
                                        -spec_map_name="Prices File Spec-to-Catalog Spec" \
                                        -script_name=""
$JAVA_RT_NOOUT austin.setup.FeedCreator -company_code=$1 \
                                        -username=bwilson \
                                        -feed_name="sample ctg category mapping feed" \
                                        -feed_type=ICM \
                                        -data_src_name=browser \
                                        -file_spec_name="Category Mapping File Spec" \
                                        -catalog_name="sample ctg" \
                                        -spec_map_name="Category Mapping File Spec-to-Catalog Spec" \
                                        -category_tree_name="sample ctg tree" \
                                        -script_name=""
$JAVA_RT_NOOUT austin.setup.FeedCreator -company_code=$1 \
                                        -username=bwilson \
                                        -feed_name="sample ctg unspsc category mapping feed" \
                                        -feed_type=ICM \
                                        -data_src_name=browser \
                                        -file_spec_name="UNSPSC Mapping File Spec" \
                                        -catalog_name="sample ctg" \
                                        -spec_map_name="UNSPSC Mapping File Spec-to-Catalog Spec" \
                                        -category_tree_name="UNSPSC" \
                                        -script_name="/scripts/import/ctg/UNSPSC Mapping Import Script"
$JAVA_RT_NOOUT austin.setup.FeedCreator -company_code=$1 \
                                        -username=jwilson \
                                        -feed_name="UNSPSC" \
                                        -feed_type=CTR \
                                        -data_src_name=browser \
                                        -category_tree_name="UNSPSC" \
                                        -script_name="/scripts/import/ctr/UNSPSC Category Tree Import"
$JAVA_RT_NOOUT austin.setup.FeedCreator -company_code=$1 \
                                        -username=jwilson \
                                        -feed_name="WBI MQ Import" \
                                        -feed_type=ITM \
                                        -data_src_name=browser \
                                        -file_spec_name="PO_XSD_FILE_SPEC" \
                                        -catalog_name="PO_XSD Catalog" \
                                        -spec_map_name="PO_XSD_FILE_SPEC to PO_XSD Catalog" \
                                        -script_name="/scripts/import/ctg/WBI MQ Import Script"
$JAVA_RT_NOOUT austin.setup.FeedCreator -company_code=$1 \
                                        -username=jwilson \
                                        -feed_name="WBI JMS (MQ) Import" \
                                        -feed_type=ITM \
                                        -data_src_name=browser \
                                        -file_spec_name="PO_XSD_FILE_SPEC" \
                                        -catalog_name="PO_XSD Catalog" \
                                        -spec_map_name="PO_XSD_FILE_SPEC to PO_XSD Catalog" \
                                        -script_name="/scripts/import/ctg/WBI JMS (MQ) Import Script"
$JAVA_RT_NOOUT austin.setup.FeedCreator -company_code=$1 \
                                        -username=jwilson \
                                        -feed_name="PO XML Import" \
                                        -feed_type=ITM \
                                        -data_src_name=browser \
                                        -file_spec_name="PO_XSD_FILE_SPEC" \
                                        -catalog_name="PO_XSD Catalog" \
                                        -spec_map_name="PO_XSD_FILE_SPEC to PO_XSD Catalog" \
                                        -script_name="/scripts/import/ctg/PO XML Import Script"

