!#/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


INPUT_FILE=${1}

DB_CONNECTION=${2}

COMPANY_ID=${3}

CATALOG_ID=${4}

${ECHO} "drop table tmp_rel;" > load_relationships.sql
${ECHO} "create table tmp_rel (sku1 varchar2(30), id1 number, type varchar2(30), rank number, sku2 varchar2(30), id2 number); " >> load_relationships.sql

cat ${INPUT_FILE} | ${AWK} '{print "insert into tmp_rel values (" $1 ", null," $2 "," $3 "," $4 ", null);" }' | ${SED} "s/\([0-9A-Z][0-9A-Z]*\),/'\1',/g" >> load_relationships.sql

${TRIGO_SQLPLUS} ${DB_CONNECTION} <<EOF

start load_relationships.sql;

update tmp_rel set type = 'CROSS' where type = 'C';
update tmp_rel set type = 'UP' where type = 'U';
update tmp_rel set type = 'REQUIRES' where type = 'M';

update tmp_rel
   set id1 =
       (select itm_id
          from tctg_itm_item
         where itm_primary_key = sku1
           and itm_container_id  = ${CATALOG_ID}
           and itm_company_id = ${COMPANY_ID}
           and itm_next_version_id = 999999999);

update tmp_rel
   set id2 =
       (select itm_id
          from tctg_itm_item
         where itm_primary_key = sku2
           and itm_container_id  = ${CATALOG_ID}
           and itm_company_id = ${COMPANY_ID}
           and itm_next_version_id = 999999999);

select 'source not found for -----' from dual;

select *
  from tmp_rel
 where id1 is null;

select 'destination not found for -----' from dual;

select *
  from tmp_rel
 where id2 is null;



create table tmp_rel_2 (name varchar2(100), type varchar2(30), id1 number);

insert into tmp_rel_2
select distinct
       'Auto_promo_to_' || type || '_' || id1,
       type,
       id1
  from tmp_rel
 where id1 is not null
   and id2 is not null;


insert into tctg_pro_promotion
select ${COMPANY_ID},
       qctg_pro_promotion_id.nextval,
       name,
       type,
       '',
       '',
       '',
       '',
       '',
       '',
       ${CATALOG_ID},
       '-1',
       id1,
       '-1',
       '0',
       'T'
  from tmp_rel_2;

insert into tctg_pmt_promotion_type
select pro_company_id,
       pro_promotion_id, '', ''
  from pro
 where pro_company_id = ${COMPANY_ID};

insert into tctg_pms_promotion_selection
select ${COMPANY_ID},
       pro_promotion_id,
       pro_promotion_name,
       id2,
       '',
       rank
  from tmp_rel, pro
 where pro_selection_id = id1
   and pro_promotion_name = 'Auto_promo_to_' || type || '_' || id1
   and id1 is not null
   and id2 is not null;

drop table tmp_rel;
drop table tmp_rel_2;

EOF

${RM} load_relationships.sql

