#!/bin/bash

CMP_CODE=$1

${ECHO} ====================================================
${ECHO} Updating 'Default' organization for the users of company $CMP_CODE
${ECHO} ====================================================

. ${TOP}/bin/get_params.sh

cd ${DB_ROOT_DIR}/schema

if [ "${_TRIGO_DB_USER_NAME}" = "" ]; then
    DB_USER_NAME=`${GREP} '^ *db_userName' ${TRIGO_ETC_DIR}/default/austin.properties | cut -f2 -d "="`
else
    DB_USER_NAME=${_TRIGO_DB_USER_NAME}
fi

if [ "${_TRIGO_DB_USER_PWD}" = "" ]; then
    DB_USER_PWD=`${GREP} '^ *db_password' ${TRIGO_ETC_DIR}/default/austin.properties | cut -f2 -d "="`
else
    DB_USER_PWD=${_TRIGO_DB_USER_PWD}
fi

if [ "${_TRIGO_DB_SERVICE_NAME}" = "" ]; then
    DB_SERVICE_NAME=`${GREP} '^ *db_url' ${TRIGO_ETC_DIR}/default/austin.properties | ${SED} 's/^.*:\([^:]*\) *$/\1/'`
else
    DB_SERVICE_NAME=${_TRIGO_DB_SERVICE_NAME}
fi

#CONNECTION=${DB_USER_NAME}/${DB_USER_PWD}@${DB_SERVICE_NAME}
if [ "$TRIGO_DB" = "oracle" ]; then
    CONNECTION="${DB_USER_NAME}/${DB_USER_PWD}@${DB_SERVICE_NAME}"
elif [ "$TRIGO_DB" = "db2" ]; then
    CONNECTION="CONNECT TO ${DB_SERVICE_NAME} USER ${DB_USER_NAME} USING ${DB_USER_PWD};"
else 
    ${ECHO} "!! Environment not set for any database"
    exit
fi


#   a) Run the program:
#${CAT} $TOP/src/db/scripts/common/import/define_default_org.script

$JAVA_RT austin.interpreter.test.TestScript --companycode="$CMP_CODE" --scriptpath=$TOP/src/db/scripts/common/import/define_default_org.script


#   b) Migrate the customer data into org tables



${TOUCH} tempcreatedeforg.sql

${CAT} $DB_CMN_SCRIPTS/create_default_org.sql | ${SED} "s/%CMP_CODE%/$CMP_CODE/g" > tempcreatedeforg.sql

#${CAT} tempcreatedeforg.sql

#${TRIGO_SQLPLUS} ${CONNECTION} <<EOF
#${DB_SQLFILE_EXECUTE} tempcreatedeforg.sql
#EOF
. ${DB_DIR}/util/run_db_cmd.sh --file=tempcreatedeforg.sql

${RM} tempcreatedeforg.sql

