#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


# usage:
#   create_trigo_user.sh [--db_user_name=<user name>] [--db_user_pwd=<password>] [--db_service_name=<service name>]

. ${TOP}/bin/get_params.sh

. ${TOP}/src/db/schema/util/set_db.sh \
    --confirm_msg="!!_This_user_will_be_deleted_if_it_already_exists." \
    --db_user_name=${_TRIGO_DB_USER_NAME} \
    --db_user_pwd=${_TRIGO_DB_USER_PWD} \
    --db_service_name=${_TRIGO_DB_SERVICE_NAME}

# replace the username/password here with
# a db user that can grand the following privileges
${TRIGO_SQLPLUS} useradmin/useradmin@${DB_SERVICE_NAME} <<EOF

drop user ${DB_USER_NAME} cascade;
create user ${DB_USER_NAME} identified by ${DB_USER_PWD}
default tablespace users
temporary tablespace temp;

grant unlimited tablespace to ${DB_USER_NAME};
grant connect to ${DB_USER_NAME};
grant resource to ${DB_USER_NAME};
grant query rewrite to ${DB_USER_NAME};
grant select any table to ${DB_USER_NAME};

EOF
