#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#



. ${TOP}/src/db/schema/util/set_db.sh

# finds the maximum itm_id for a company id 
# finds the minimum itm_id for a company id 


# Set Query Strings


# put sql here for tables that do not have a cmp_id, using &CMP_ID




# delete from ita, icm, itm first

# to make it go faster, drop the indices on the ita table and create a different one on just item_id and company_id




${TOUCH} tempgetmaxitmid.sql
${TOUCH} tempgetminitmid.sql

${CAT} $DB_SCRIPTS/get_max_itm_id.sql | ${SED} "s/%CMP_ID%/$CMP_ID/g" > tempgetmaxitmid.sql
${CAT} $DB_SCRIPTS/get_min_itm_id.sql | ${SED} "s/%CMP_ID%/$CMP_ID/g" > tempgetminitmid.sql


# now delete the other tables


# Getting max/min values  for a TRIGO CODE

#MAX_ITEM_ID_QRY=`${TRIGO_SQLPLUS} ${CONNECTION} <<EOF 2>&1 | ${GREP} 'maxitemid-' | ${GREP} -v 'MAX_ITEM_ID'
#${DB_SQLFILE_EXECUTE} tempgetmaxitmid.sql
#EOF`

#pvedul -- adding run_db_cmd.sh
MAX_ITEM_ID_QRY=`. $DB_DIR/util/run_db_cmd.sh --file=tempgetmaxitmid.sql | ${GREP} 'maxitemid-' | ${GREP} -v 'MAX_ITEM_ID'`


#${TRIGO_SQLPLUS} ${CONNECTION} <<EOF 2>&1 | ${GREP} 'maxitemid-'
#${DB_SQLFILE_EXECUTE} tempgetmaxitmid.sql
#EOF

MAX_ITEM_ID_QRY_VAL="${MAX_ITEM_ID_QRY}"

MAX_ITM_ID=`${ECHO} $MAX_ITEM_ID_QRY_VAL | ${GREP} 'maxitemid-' | cut -f2 -d "-" | cut -f1 -d " "`

#for i in $MAX_ITEM_ID_QRY_VAL
#do
#	MAX_ITM_ID=`${ECHO} $i | ${GREP} 'maxitemid-' | cut -f2 -d "-"`	
#done

#MIN_ITEM_ID_QRY=`${TRIGO_SQLPLUS} ${CONNECTION} <<EOF 2>&1 | ${GREP} 'minitemid-' | ${GREP} -v 'MIN_ITEM_ID'
#${DB_SQLFILE_EXECUTE} tempgetminitmid.sql
#EOF`

#pvedul -- adding run_db_cmd.sh
MIN_ITEM_ID_QRY=`. $DB_DIR/util/run_db_cmd.sh --file=tempgetminitmid.sql | ${GREP} 'minitemid-' | ${GREP} -v 'MIN_ITEM_ID'`

#${TRIGO_SQLPLUS} ${CONNECTION} <<EOF 2>&1 | ${GREP} 'minitemid-'
#${DB_SQLFILE_EXECUTE} tempgetminitmid.sql
#EOF

MIN_ITEM_ID_QRY_VAL="${MIN_ITEM_ID_QRY}"

MIN_ITM_ID=`${ECHO} $MIN_ITEM_ID_QRY_VAL | ${GREP} 'minitemid-' | cut -f2 -d "-" | cut -f1 -d " "`	


#for i in $MIN_ITEM_ID_QRY_VAL
#do
#	MIN_ITM_ID=`${ECHO} $i | ${GREP} 'minitemid-' | cut -f2 -d "-"`	
#done

#${ECHO} "Maximum Item ID : $MAX_ITM_ID"
#${ECHO} "Minimum Item ID : $MIN_ITM_ID"


${RM} tempgetmaxitmid.sql
${RM} tempgetminitmid.sql


