#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


. ${TOP}/bin/get_params.sh

cd ${DB_ROOT_DIR}/schema

if [ "${_TRIGO_DB_USER_NAME}" = "" ]; then
    DB_USER_NAME=`${GREP} '^ *db_userName' ${TRIGO_ETC_DIR}/default/austin.properties | cut -f2 -d "="`
else
    DB_USER_NAME=${_TRIGO_DB_USER_NAME}
fi

if [ "${_TRIGO_DB_USER_PWD}" = "" ]; then
    DB_USER_PWD=`${GREP} '^ *db_password' ${TRIGO_ETC_DIR}/default/austin.properties | cut -f2 -d "="`
else
    DB_USER_PWD=${_TRIGO_DB_USER_PWD}
fi


if [ "${_TRIGO_DB_SERVICE_NAME}" = "" ]; then
    DB_SERVICE_NAME=`${GREP} '^ *db_url' ${TRIGO_ETC_DIR}/default/austin.properties | ${SED} 's/^.*:\([^:]*\) *$/\1/'`
else
    DB_SERVICE_NAME=${_TRIGO_DB_SERVICE_NAME}
fi

if [ ! "${_TRIGO_DB_OUTPUT}" = "no" ]; then
    ${ECHO}	
    ${ECHO} ====================================================
    ${ECHO} Setting up database connection
    ${ECHO} ====================================================

    ${ECHO} database username:     ${DB_USER_NAME}
    ${ECHO} database user passwd:  ${DB_USER_PWD}
    ${ECHO} database service name: ${DB_SERVICE_NAME}
fi

#                    
if [ "$TRIGO_DB" = "oracle" ]; then
    CONNECTION=${DB_USER_NAME}/${DB_USER_PWD}@${DB_SERVICE_NAME}
elif [ "$TRIGO_DB" = "db2" ]; then
    CONNECTION="CONNECT TO ${DB_SERVICE_NAME} USER ${DB_USER_NAME} USING ${DB_USER_PWD};"
else 
    ${ECHO} "!! Environment not set for any database"
    exit
fi

if [ ! "${_TRIGO_CONFIRM_DB}" = "no" ]; then
   ${ECHO}
   if [ ! "${_TRIGO_CONFIRM_MSG}" = "" ]; then
      ${ECHO} "${_TRIGO_CONFIRM_MSG}"|${SED} -e "s/_/ /g"
   fi
   ${ECHO} "!! do you want to continue ? (y/n) "
   read res
   if [ ! "$res" = "y" ]; then
       ${ECHO} "!! exiting"
       exit
   fi
fi

